Public Member Functions

# wxPopupTransientWindow Class Reference
[Managed Windows]

`#include <wx/popupwin.h>`

Inheritance diagram for wxPopupTransientWindow:
[legend]

## Detailed Description

A wxPopupWindow which disappears automatically when the user clicks mouse outside it or if it loses focus in any other way.

This window can be useful for implementing custom combobox-like controls for example.

##

Library: wxCore
Category: Managed Windows

See also:
  wxPopupWindow

## Public Member Functions
| wxPopupTransientWindow (wxWindow *parent, int flags=wxBORDER_NONE)
| Constructor.
virtual void | Popup (wxWindow *focus=NULL)
| Popup the window (this will show it too).
virtual void | Dismiss ()
| Hide the window.
virtual bool | ProcessLeftDown (wxMouseEvent &event)
| Called when a mouse is pressed while the popup is shown.

List of all members.

## Constructor & Destructor Documentation

wxPopupTransientWindow::wxPopupTransientWindow | ( | wxWindow * | parent,
|  | int | flags = `wxBORDER_NONE` |
| ) |  |  |

Constructor.

## Member Function Documentation

virtual void wxPopupTransientWindow::Dismiss | ( |  | ) | `[virtual]`

Hide the window.

virtual void wxPopupTransientWindow::Popup | ( | wxWindow * | focus = `NULL` | ) | `[virtual]`

Popup the window (this will show it too).

If winFocus is non-NULL, it will be kept focused while this window is shown, otherwise this window itself will receive focus. In any case, the popup will disappear automatically if it loses focus because of a user action.

See also:
  Dismiss()

virtual bool wxPopupTransientWindow::ProcessLeftDown | ( | wxMouseEvent & | event | ) | `[virtual]`

Called when a mouse is pressed while the popup is shown.

Return true from here to prevent its normal processing by the popup (which consists in dismissing it if the mouse is clicked outside it).

|  | [ top ]